Package org.springframework.security.web.server.authentication.ott

# Class ServerOneTimeTokenAuthenticationConverter

java.lang.Object
org.springframework.security.web.server.authentication.ott.ServerOneTimeTokenAuthenticationConverter

All Implemented Interfaces:
  `ServerAuthenticationConverter`

public final class ServerOneTimeTokenAuthenticationConverter extends Object implements ServerAuthenticationConverter
An implementation of `ServerAuthenticationConverter` for resolving `OneTimeTokenAuthenticationToken` from token parameter.

Since:
  6.4
See Also:
  - `GenerateOneTimeTokenWebFilter`

## Constructor Summary

Constructors
Constructor
Description
`ServerOneTimeTokenAuthenticationConverter()`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.security.core.Authentication>`
`convert(org.springframework.web.server.ServerWebExchange exchange)`
Converts a `ServerWebExchange` to an `Authentication`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerOneTimeTokenAuthenticationConverter

public ServerOneTimeTokenAuthenticationConverter()

## Method Details

### convert

public reactor.core.publisher.Mono<org.springframework.security.core.Authentication> convert(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `ServerAuthenticationConverter`
Converts a `ServerWebExchange` to an `Authentication`

Specified by:
  `convert` in interface `ServerAuthenticationConverter`
Parameters:
  `exchange` - The `ServerWebExchange`
Returns:
  A `Mono` representing an `Authentication`